/**************************************************************************
%        Hochschule Hamm-Lippstadt                                        *
%**************************************************************************
% Modul	          : Modell.slx                                            *
%                                                                         *
% Datum           : 14.01.2025                                            *
%                                                                         *
% Funktion        : Ausgabe der errechneten Kraft auf dem LCD             *
%                                                                         *
% Implementation  : MATLAB R2024b                                         *
%                                                                         *                                                                     
% Author          : Jan Steffens, Lukas Berkemeier                        *
%                                                                         *                                                              
% Letzte Änderung : 06. Februar 2025                                      *
%                                                                         *
%*************************************************************************/

#include "C:\Users\lukas\Documents\MATLAB\FSR\LCD.h"
#include <Wire.h> 
#include <LiquidCrystal_I2C.h>

LiquidCrystal_I2C lcd(0x27,16,2);


void setupFunctionLCD()
{
  lcd.init();                      // initialize the lcd 
  lcd.backlight();                 // LCD beleuchtung anschalten
}


// Input double [1,1]

void stepFunctionLCD(double Input,int size_vector_a)
{
  lcd.setCursor(0,0);
  lcd.clear();
  lcd.print("Kraft: ");
  lcd.setCursor(7,0);
  lcd.print(Input);
  lcd.print(" N");


}